public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-wm/sawfish/
Date: Wed, 19 Feb 2020 21:34:11 +0000 (UTC)	[thread overview]
Message-ID: <1582148038.c84dce08114f127b2c42e29cac84a4a922ecd8b9.asturm@gentoo> (raw)

commit:     c84dce08114f127b2c42e29cac84a4a922ecd8b9
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 19 21:33:06 2020 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Wed Feb 19 21:33:58 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c84dce08

x11-wm/sawfish: Drop x11-libs/pangox-compat DEPEND, HOMEPAGE, https

Upstream commit 6d5640ecaa06948f3197b5d8cafb810cb3cf403c

Closes: https://bugs.gentoo.org/706342
Package-Manager: Portage-2.3.89, Repoman-2.3.20
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 x11-wm/sawfish/sawfish-1.12.0-r1.ebuild | 87 +++++++++++++++++++++++++++++++++
 1 file changed, 87 insertions(+)

diff --git a/x11-wm/sawfish/sawfish-1.12.0-r1.ebuild b/x11-wm/sawfish/sawfish-1.12.0-r1.ebuild
new file mode 100644
index 00000000000..06915f975f0
--- /dev/null
+++ b/x11-wm/sawfish/sawfish-1.12.0-r1.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+MY_P="${P/-/_}"
+inherit eutils elisp-common
+
+DESCRIPTION="Extensible window manager using a Lisp-based scripting language"
+HOMEPAGE="https://sawfish.fandom.com/wiki/Main_Page"
+SRC_URI="https://download.tuxfamily.org/sawfish/${MY_P}.tar.xz"
+
+LICENSE="GPL-2 Artistic-2"
+SLOT="0"
+KEYWORDS="~alpha amd64 ia64 ppc ~ppc64 ~sh sparc x86"
+IUSE="emacs kde nls xinerama"
+
+RDEPEND="
+	emacs? ( >=app-editors/emacs-23.1:* )
+	>=dev-libs/librep-0.92.1
+	>=x11-libs/rep-gtk-0.90.7
+	x11-libs/gdk-pixbuf:2[X]
+	>=x11-libs/gtk+-2.24.0:2
+	x11-libs/libXtst
+	kde? ( kde-frameworks/kdelibs4support )
+	nls? ( sys-devel/gettext )
+	xinerama? ( x11-libs/libXinerama )
+"
+DEPEND="${RDEPEND}
+	virtual/pkgconfig
+"
+
+S="${WORKDIR}/${MY_P}"
+
+PATCHES=(
+	# From Fedora
+	"${FILESDIR}"/${P}-desktop.patch
+)
+
+DOCS=( AUTHORS ChangeLog CONTRIBUTING doc/AUTOSTART doc/KEYBINDINGS doc/OPTIONS doc/XSettings MAINTAINERS NEWS README README.IMPORTANT TODO )
+
+src_configure() {
+	set -- \
+		$(use_with kde kde5session) \
+		$(use_with xinerama) \
+		--with-gdk-pixbuf \
+		--without-kde4session \
+		--disable-static
+
+	if ! use nls; then
+		# Use a space because configure script reads --enable-linguas=""
+		# as "install everything". Don't use --disable-linguas, because
+		# that means --enable-linguas="no", which means "install
+		# Norwegian translations".
+		set -- "$@" --enable-linguas=" "
+	elif [[ "${LINGUAS+set}" == "set" ]]; then
+		strip-linguas -i po
+		set -- "$@" --enable-linguas=" ${LINGUAS} "
+	else
+		set -- "$@" --enable-linguas=""
+	fi
+
+	econf "$@"
+}
+
+src_compile() {
+	default
+	use emacs && elisp-compile sawfish.el
+}
+
+src_install() {
+	default
+	find "${D}" -name '*.la' -delete || die
+
+	if use emacs; then
+		elisp-install ${PN} sawfish.{el,elc}
+		elisp-site-file-install "${FILESDIR}"/50${PN}-gentoo.el
+	fi
+}
+
+pkg_postinst() {
+	use emacs && elisp-site-regen
+}
+
+pkg_postrm() {
+	use emacs && elisp-site-regen
+}


             reply	other threads:[~2020-02-19 21:34 UTC|newest]

Thread overview: 26+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-02-19 21:34 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-07-28  7:10 [gentoo-commits] repo/gentoo:master commit in: x11-wm/sawfish/ Sam James
2021-06-30 10:15 Ulrich Müller
2021-04-02 14:04 Sam James
2020-12-28  0:21 Ulrich Müller
2020-12-17 14:00 Mart Raudsepp
2020-11-26  3:42 Matt Turner
2020-11-26  3:42 Matt Turner
2020-09-05  7:38 Sergei Trofimovich
2020-09-02  6:33 Sergei Trofimovich
2020-08-22 11:26 Agostino Sarubbo
2020-08-22  5:50 Agostino Sarubbo
2020-05-15  6:43 Jeroen Roovers
2020-02-19 21:34 Andreas Sturmlechner
2019-12-20 22:49 Ulrich Müller
2019-12-07  7:58 Ulrich Müller
2019-02-09 19:35 Sergei Trofimovich
2019-02-09 15:24 Mikle Kolyada
2019-02-02 20:44 Sergei Trofimovich
2019-02-01 14:55 Tobias Klausmann
2019-01-31 22:15 Thomas Deutschmann
2019-01-30  8:13 Sergei Trofimovich
2018-05-27 18:02 Pacho Ramos
2018-05-27 18:02 Pacho Ramos
2017-05-03 11:40 Ulrich Müller
2016-07-20 17:00 Michael Orlitzky

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1582148038.c84dce08114f127b2c42e29cac84a4a922ecd8b9.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox